package com.interplug.qcast.biz.pwrGnrSimulation;

import com.interplug.qcast.biz.object.dto.*;
import com.interplug.qcast.biz.pwrGnrSimulation.dto.*;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface PwrGnrSimMapper {
  PwrGnrSimPlanResponse selectPlanInfo(PwrGnrSimRequest pwrGnrSimRequest);

  List<PwrGnrSimRoofResponse> selectRoofItemList(PwrGnrSimRequest pwrGnrSimRequest);

  List<PwrGnrSimRoofResponse> selectRoofPcsGroupList(PwrGnrSimRequest pwrGnrSimRequest);

  List<PwrGnrSimRoofResponse> selectRoofList(PwrGnrSimRequest pwrGnrSimRequest);
}
